Bug 1554809 - Notification Drawer size is not responsive on SSUI
Summary: Notification Drawer size is not responsive on SSUI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Allen W
QA Contact: Dave Johnson
URL:
Whiteboard: :service
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-13 12:25 UTC by Anurag
Modified: 2019-02-07 23:01 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:17 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:
ansinha: automate_bug-


Attachments (Terms of Use)
Screenshot (55.00 KB, image/png)
2018-03-13 12:25 UTC, Anurag
no flags Details
Notification drawer with close button in header (249.17 KB, image/png)
2018-04-02 18:55 UTC, Allen W
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:24 UTC

Description Anurag 2018-03-13 12:25:47 UTC
Created attachment 1407542 [details]
Screenshot

Description of problem:
When their is change in the window size, the size of the notification drawer size doesn't changes and thus other buttons are not accessible, and also there is not way to close the notification drawer. This is causing automation issues. 


Version-Release number of selected component (if applicable):
Version: 5.9.0.22.20180221205805_f93a675


How reproducible:
100%


Steps to Reproduce:
1.Login to SSUI
2.Lower the size of the window (See Attachment)
3.Open notification drawer by clicking on bell icon on upper right.

Actual results:
Notification drawer is oversize and blocks the other buttons


Expected results:
Notification drawer should change according to the size of the window and also it would be good if it has cross button.


Additional info:
There should be cross button on the right of the notification drawer which is present in the normal UI of 5.9

Comment 1 Allen W 2018-04-02 18:55:02 UTC
Created attachment 1416441 [details]
Notification drawer with close button in header

Hi Anurag 👋🏾

I'm wondering if the "close" x in the top right corner of this screen show might solve this problem for you?

Comment 2 Allen W 2018-04-02 20:18:22 UTC
annnnnnnd we have a pr with the aforementioned modification: https://github.com/ManageIQ/manageiq-ui-service/pull/1415

Comment 3 Anurag 2018-04-03 04:47:09 UTC
Hi Allen,

Yes a "close" X will solve the problem for me.

Thanks,
Anurag

Comment 4 Allen W 2018-04-05 16:11:59 UTC
Pr was merged, moving this to post!

Comment 5 Anurag 2018-06-25 13:38:57 UTC
Hi Team,

This issue is resolved by providing a x button on window of ssui notification drawer and thus solves the issue. I have verified this on version: Version: 5.10.0.1.20180619163011_900fdc4. Thanks for fixing this issue. Hence changing the status of the bug from on_qa to verified.

Thanks,
-Anurag

Comment 6 errata-xmlrpc 2019-02-07 23:01:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.